/* Colors */
/* Shadows */
/* Breakpoints */
/* Layout Dimensions */
main {
  padding-top: 50px;
  margin: auto;
}

main > div {
  width: 100%;
  margin: auto;
}

#title-container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  position: relative;
  font-size: 14px;
}

#title-container .title {
  display: inline-block;
  margin-right: auto;
}

#title-container div.action-button {
  padding: 8px 12px;
}

#title-container div.action-button div.dropdown {
  position: absolute;
  display: none;
  top: 43px;
  min-width: 150px;
  right: 0;
  background-color: white;
  -webkit-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
          box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
  z-index: 100;
}

#title-container div.action-button div.dropdown * {
  display: block;
  white-space: nowrap;
  position: relative;
  padding: 11px 21px;
}

#title-container div.action-button div.dropdown span.header {
  color: #aab0ba;
}

#title-container div.action-button div.dropdown span.divider {
  padding: 0;
  margin: 0 21px;
  background-color: #f2f4f9;
}

#title-container div.action-button div.dropdown a.emphasized {
  text-decoration: none;
}

#title-container div.action-button div.dropdown a:not(.disabled):hover {
  background-color: #f2f4f9;
}

#title-container div.action-button div.dropdown a.disabled {
  color: #aab0ba;
  pointer-events: none;
  cursor: default;
}

#title-container div.action-button.hover {
  background-color: #f2f4f9;
  z-index: 100;
}

#title-container div.action-button.hover .dropdown {
  display: block;
}

#subtitle-container {
  margin-top: 1em;
}

div.selection-header {
  margin-bottom: 3em;
}

div.selection-header a {
  cursor: pointer;
  margin-right: 36px;
}

div.selection-header a h3 {
  margin: 0;
  display: inline-block;
}

div.selection-header a.selected {
  border-bottom: 2px solid #003366;
}

div.selection-header a:not(.selected):hover {
  border-bottom: 2px solid #aab0ba;
}

div.section {
  margin-bottom: 3em;
}

div.section div.disclosure {
  display: inline-block;
  /* background-color: red; */
  padding: 12px;
  padding-left: 0;
  margin-bottom: 8px;
  /* transform: translate(-12px, 0); */
}

div.section div.disclosure:hover {
  background-color: #f2f4f9;
  cursor: pointer;
}

div.section div.disclosure:active {
  background-color: #e1e6f2;
}

div.section div.disclosure * {
  display: inline-block;
  vertical-align: middle;
  margin: 0;
}

div.section div.disclosure img {
  width: 27px;
  margin-right: 12px;
}

div.section div.content {
  overflow: hidden;
}

div.section.collapsed {
  margin-bottom: 0;
}

div.section.collapsed .disclosure img {
  -webkit-transform: rotate(-90deg);
          transform: rotate(-90deg);
}

div.section.collapsed .content {
  max-height: 0;
}

.floating-center .content > div {
  margin: 16px 0;
}

.floating-center .content > div .label {
  display: inline-block;
  font-family: "Playfair Display", serif;
  font-weight: 300;
  font-size: 1.17em;
  padding: 12px 6px 12px 6px;
  min-width: 300px;
}

.floating-center .content > div .label.contact {
  vertical-align: top;
  margin-top: 0.7em;
}

.floating-center .content > div.content-footer {
  margin-top: 32px;
}

.floating-center .content > div .contact-container {
  display: inline-block;
}

.floating-center .content > div .contact-container .file, .floating-center .content > div .contact-container .button {
  display: block;
}

table {
  border-collapse: collapse;
}

table * {
  font-family: "Quicksand", sans-serif;
  text-align: left;
}

table th {
  border-bottom: 1px solid #003366;
}

table.clickable tbody tr:hover:not(.unselectable) {
  background-color: #f2f4f9;
  cursor: pointer;
}

table.clickable tbody tr:hover:not(.unselectable).selected {
  background-color: #6685A3;
}

table.clickable tbody.hasPrototype tr:nth-child(odd):not(:hover):not(.selected) {
  background-color: #f8f8f8;
}

table.clickable tbody:not(.hasPrototype) tr:nth-child(even):not(:hover):not(.selected) {
  background-color: #f8f8f8;
}

table:not(.clickable) tbody.hasPrototype tr:nth-child(odd):not(.selected) {
  background-color: #f8f8f8;
}

table:not(.clickable) tbody:not(.hasPrototype) tr:nth-child(even):not(.selected) {
  background-color: #f8f8f8;
}

table tr.prototype {
  display: none;
}

table tr:not(.editable) td.edit {
  display: none;
}

table tr.editable td.display {
  display: none;
}

table tr.selected, table tr td.selected {
  background-color: #003366;
  color: white;
}

table tr td {
  font-weight: 400;
  padding: 8px 12px 8px 0;
}

table tr td.monospace, table tr td.monospace * {
  font-family: monospace;
  font-size: 16px;
}

table tr td input {
  min-width: 90%;
  padding-left: 0;
  margin-left: 0;
  font-size: 16px;
}

div.file {
  display: inline-block;
  min-width: 300px;
  max-width: 80vw;
  margin-top: 1em;
  margin-bottom: 1em;
  margin-right: 0.5em;
}

div.file.draft {
  border: 1px dashed #aab0ba;
}

div.file:not(.draft):hover {
  background-color: #f2f4f9;
}

div.file:not(.draft):active {
  background-color: #e1e6f2;
}

div.file, div.file p, div.file a {
  font-size: 14px;
}

div.file p {
  margin: 0;
  padding: 12px 6px;
  position: relative;
}

div.file span.title {
  display: inline-block;
  max-width: 230px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

div.file * {
  vertical-align: middle;
  font-family: "Quicksand", sans-serif;
}

div.file img.icon {
  width: 24px;
  margin-right: 8px;
}

div.file span.delete {
  cursor: pointer;
}

div.file img.delete {
  width: 18px;
  padding: 3px;
  position: absolute;
  right: 6px;
  cursor: pointer;
}

.empty-indicator {
  color: #aab0ba;
}

p#floating-footer {
  position: -webkit-sticky;
  position: sticky;
  bottom: 0;
  background-color: white;
}

.revealable {
  -webkit-transition: opacity 0.4s ease-out, -webkit-transform 0.4s ease-out;
  transition: opacity 0.4s ease-out, -webkit-transform 0.4s ease-out;
  transition: opacity 0.4s ease-out, transform 0.4s ease-out;
  transition: opacity 0.4s ease-out, transform 0.4s ease-out, -webkit-transform 0.4s ease-out;
}

.revealable:not(.revealed) {
  opacity: 0;
  display: none;
  -webkit-transform: translate(0, 100px);
          transform: translate(0, 100px);
}

.floating-center {
  background-color: white;
  -webkit-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
          box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2);
  position: fixed;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  max-width: 80vw;
  max-height: 80vh;
  padding: 0 28px;
  z-index: 150;
}

.floating-center .dropdown {
  z-index: 200;
}

.floating-center.revealable:not(.revealed) {
  -webkit-transform: translate(-50%, -50%) translate(0, 100px);
          transform: translate(-50%, -50%) translate(0, 100px);
}

.reveal-indicator {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  opacity: 1.0;
  -webkit-transition: opacity 0.2s linear;
  transition: opacity 0.2s linear;
}

.reveal-indicator.revealed {
  opacity: 0.0;
}

@media all and (max-width: 1145px) {
  main {
    padding-top: 30px;
    width: unset;
    padding-left: 72px;
    padding-right: 72px;
  }
}

@media all and (max-width: 700px) {
  main {
    padding-left: 32px;
    padding-right: 32px;
  }
  td {
    height: 38px;
  }
}
